phpLDAPadmin

# Class: MultiLineAttribute Source Location: /templates/3rdParty/pla/lib/MultiLineAttribute.php
### Class Overview
    Attribute
       |
       --MultiLineAttribute
Represents a attribute whose values are multiline text | ### Variables $cols $rows | ### Methods getCols getRows setCols setRows
### Inherited Variables #### Class: Attribute Attribute::$aliases Attribute::$autovalue Attribute::$display Attribute::$forcedelete Attribute::$forcehide Attribute::$helper Attribute::$helpervalue Attribute::$hint Attribute::$icon Attribute::$internal Attribute::$ldaptype Attribute::$maxlength Attribute::$max_value_count Attribute::$min_value_count Attribute::$modified Attribute::$name Attribute::$oldvalues Attribute::$onchange Attribute::$order Attribute::$ordersort Attribute::$page Attribute::$postvalue Attribute::$rdn Attribute::$readonly Attribute::$size Attribute::$source Attribute::$spacer Attribute::$type Attribute::$unique Attribute::$values Attribute::$verify Attribute::$visible | ### Inherited Methods #### Class: Attribute Attribute::__construct() Attribute::addValue() Attribute::autoValue() Autovalue is called after the attribute is initialised, and thus the values from the ldap server will be set. Attribute::clearValue() Attribute::delValue() Attribute::getAddedValues() Display the values removed in an attribute. Attribute::getAliases() Return a list of aliases for this Attribute (as defined by the schema) This list will be lowercase. Attribute::getAutoValue() Attribute::getDescription() Attribute::getFriendlyName() Attribute::getHelper() Attribute::getHelperValue() Attribute::getHint() Attribute::getIcon() Attribute::getLDAPtype() Attribute::getMaxLength() Attribute::getMaxValueCount() Attribute::getMinValueCount() Attribute::getName() Return the name of the attribute. Attribute::getOldValue() Attribute::getOldValues() Attribute::getOnChange() Attribute::getPage() Attribute::getPostValue() Attribute::getRemovedValues() Display the values removed in an attribute. Attribute::getSize() Attribute::getSource() Attribute::getSpacer() Attribute::getType() Attribute::getValue() Attribute::getValueCount() Attribute::getValues() Attribute::getVerify() Attribute::hasBeenModified() Attribute::haveFriendlyName() Attribute::haveMoreValues() Attribute::hide() Attribute::initValue() Attribute::isForceDelete() Attribute::isInternal() Attribute::isMay() Attribute::isMultiple() Attribute::isRDN() Return if this attribute is an RDN attribute Attribute::isReadOnly() Attribute::isRequired() Attribute::isVisible() Attribute::justModified() Attribute::needJS() Does this attribute need supporting JS Attribute::setDescription() Attribute::setForceDelete() Attribute::setHint() Attribute::setIcon() Attribute::setInternal() Attribute::setLDAPtype() Attribute::setMaxLength() Attribute::setMaxValueCount() Attribute::setMinValueCount() Attribute::setOldValue() Attribute::setOptional() Attribute::setPage() Attribute::setPostValue() Attribute::setProperties() Attribute::setRDN() Attribute::setReadOnly() Attribute::setRequired() Attribute::setSize() Attribute::setType() Attribute::setValue() Attribute::setXML() Attribute::show()
### Class Details [line 15] Represents a attribute whose values are multiline text [ Top ] ### Class Variables #### $cols = 0 [line 17] #### Tags:
access: | protected
Type: | mixed
Overrides: | Array
[ Top ] #### $rows = 0 [line 16] #### Tags:
access: | protected
Type: | mixed
Overrides: | Array
[ Top ] ### Class Methods ### method getCols [line 27]
`void getCols( )`
#### Tags:
access: | public
[ Top ] ### method getRows [line 19]
`void getRows( )`
#### Tags:
access: | public
[ Top ] ### method setCols [line 31]
`void setCols( $cols)`
#### Tags:
access: | public
#### Parameters:
| $cols |
[ Top ] ### method setRows [line 23]
`void setRows( $rows)`
#### Tags:
access: | public
#### Parameters:
| $rows |
[ Top ] Documentation generated on Tue, 22 Nov 2011 16:29:57 +0100 by phpDocumentor 1.4.1